Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.decision
Class DecisionMakerResult

    java.lang.Object
      com.sun.mdm.index.decision.DecisionMakerResult

public class DecisionMakerResult
extends java.lang.Object

Return class for DecisionMaker.process()

Constructor Summary
`DecisionMakerResult(DecisionMakerStruct assumedMatch, DecisionMakerStruct[] potentialDuplicates)` Creates a new instance of DecisionMakerResult

Method Summary
`void` | `allowAssumedMatch()` Flag the assumed match, if any, as being accepted
`DecisionMakerStruct` | `getAssumedMatch()` Return assumed match record if exists, otherwise null
`DecisionMakerStruct[]` | `getPotentialDuplicates()` Return potential duplicates if exists, otherwise null
`void` | `rejectAssumedMatch()` Flag the assumed match, if any, as being rejected

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DecisionMakerResult

    public DecisionMakerResult(DecisionMakerStruct assumedMatch,
                               DecisionMakerStruct[] potentialDuplicates)

  Creates a new instance of DecisionMakerResult

  Parameters:
    `assumedMatch` - record that is assumed match or null
    `potentialDuplicates` - array of potential duplicates or null

Method Detail

### allowAssumedMatch

    public void allowAssumedMatch()

  Flag the assumed match, if any, as being accepted

### getAssumedMatch

    public DecisionMakerStruct getAssumedMatch()

  Return assumed match record if exists, otherwise null

  Returns:
    assumed match records

### getPotentialDuplicates

    public DecisionMakerStruct[] getPotentialDuplicates()

  Return potential duplicates if exists, otherwise null

  Returns:
    array of duplicates or null

### rejectAssumedMatch

    public void rejectAssumedMatch()

  Flag the assumed match, if any, as being rejected

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.